classification
Title: Convert test_tools to directory
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: berker.peksag, python-dev, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2014-07-04 18:48 by serhiy.storchaka, last changed 2014-07-16 21:17 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
test_tools.diff zach.ware, 2014-07-08 19:53 Patch against default review
test_tools.diff--git zach.ware, 2014-07-08 19:54 Patch against default, --git format
test_tools.v2.diff--git zach.ware, 2014-07-15 18:41
Messages (9)
msg222305 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-04 18:48
Lib/test/test_tools.py becomes too large. It includes tests of unrelated command-lines tools and scripts. It would be good to convert it to directory containing separate test files for different tools.
msg222579 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-08 19:53
How about this?
msg222580 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-08 19:54
Here's the same patch in --git format, which should make the actual changes clearer (though probably not in Rietveld).
msg223136 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-15 18:41
Here's a new version of the patch in response to review comments.  Patch is in --git format, which means no Rietveld link for this one.

Changes from the first patch:

- Remove Tools/parser/test_unparse.py entirely (moved to Lib/test/test_tools/)
- Remove tearDownClass from the pdeps test
- Fix (remove) test_main from test_unparse
- Add test_md5sum (new since first patch)
msg223143 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-15 20:03
About load_tests() -- look at Lib/test/test_email/__init__.py.

Otherwise LGTM.
msg223258 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-16 19:33
New changeset e69f037332a6 by Zachary Ware in branch '3.4':
Issue #21918: Convert test_tools.py to a sub-package of test.
http://hg.python.org/cpython/rev/e69f037332a6

New changeset 1d0ca204c36f by Zachary Ware in branch 'default':
Issue #21918: Convert test_tools.py to a sub-package of test.
http://hg.python.org/cpython/rev/1d0ca204c36f
msg223259 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-16 19:37
Committed, thanks for the reviews!

I had modeled load_tests after test_json's load_tests.  The idiom used in test_email causes a warning from regrtest about sys.path being modified, so I modified the idiom slightly and used that.  I have declined to backport the patch to 2.7; it's more trouble than it's worth to me.
msg223277 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-07-16 21:15
Thanks for your patch. Do you want to correct test_json's and others 
load_tests?
msg223279 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-16 21:17
Sure, I'll work on that some time this week.
History
Date User Action Args
2014-07-16 21:17:33zach.waresetmessages: + msg223279
2014-07-16 21:15:36serhiy.storchakasetmessages: + msg223277
2014-07-16 19:37:02zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg223259

stage: patch review -> resolved
2014-07-16 19:33:58python-devsetnosy: + python-dev
messages: + msg223258
2014-07-15 20:03:24serhiy.storchakasetmessages: + msg223143
2014-07-15 18:41:16zach.waresetfiles: + test_tools.v2.diff--git

messages: + msg223136
versions: - Python 2.7
2014-07-08 19:58:41berker.peksagsetassignee: zach.ware
stage: needs patch -> patch review
2014-07-08 19:54:20zach.waresetfiles: + test_tools.diff--git

messages: + msg222580
2014-07-08 19:53:19zach.waresetfiles: + test_tools.diff
keywords: + patch
messages: + msg222579
2014-07-04 18:48:13serhiy.storchakacreate